PAM_DENY(8)

NAME
pam_deny - Deny PAM module

SYNOPSIS
[service-name] module-type control-flag pam_deny [options]

DESCRIPTION
The Deny authentication service module for PAM, pam_deny provides functionality for all the PAM categories: authentication, account management, session management and password management. In terms of the module-type parameter, these are the “auth”, “account”, “session”, and “password” features.

The Deny module will universally deny all requests. It is primarily of use during testing, and to “null-out” unwanted functionality.

The following options may be passed to the module:

debug
    syslog(3) debugging information at LOG_DEBUG level.

no_warn
    suppress warning messages to the user. These messages include reasons why the user's authentication attempt was declined.

SEE ALSO
syslog(3), pam.conf(5), pam(8)